Subject: Re:IBIS Tree Comments

From: [email-masked] ( Bob Ross)
Date: Thu, 8 May 97 09:48 PDT

Ogawa-san and IBIS Committee:

Thank you for your IBIS Tree Update to Pending Version 3.0, corrections
and additions of subparameters.  The [Model Selector] keyword is positioned
correctly under [Component].

In the next DRAFT version of IBIS version 3.0, I will make the correction
you noted on [Model Selector] and also correct three occurances of 
[Temperature] to [Temperature Range] noted by several people.

I am sending you separately a draft of this version which includes a
recently approved BIRD36.3 for package model extensions.

Your work will be very helpful to us.

Best Regards,
Bob Ross
Interconnectix

> Date: Thu, 08 May 1997 11:54:45 +0900
> From: =?ISO-2022-JP?B?GyRCPi5AbiEhRkY7VhsoQg==?= <[email-masked]>
> To: [email-masked]
> Subject: Re:IBIS Tree Comments

> Dear Mr. Bob Ross

> Thank you for your quick response. 
> I could understand all by your help. Thank you very much.

> I obtained DRAFT OF IBIS VERSION 3.0 from Mr. Fukuda (A leader of 
> EIAJ I/O interfacemodel project group). 

> And I tried to write IBIS Tree (VERSION 3.0).

> But I can't understand Where [Model Selector] was connected.
> If it is in root hierarchy, a selection with [Model Selector] 
> influences all [Component]. I'm not able consider which is better.

> Please teach me where it is connected.

> IBIS Tree (DRAFT OF IBIS VERSION 3.0)

> .ibs FILE
> ---------
>   |-- File date section
>   |   -----------------
>   |     |-- [IBIS Ver]
>   |     |-- [Comment char]
>   |     |-- [File name]
>   |     |-- [File Rev]
>   |     |-- [Date]
>   |     |-- [Source]
>   |     |-- [Notes]
>   |     |-- [Disclaimer]
>   |     |-- [Copyright]
>   |
>   |-- [Component]
>   |   ----------- 
>   |     |-- [Manufacturer]
>   |     |-- [Package]   R_pkg, L_pkg, C_pkg
>   |     |-- [Pin]   signal_name, model_name, R_pin, L_pin, C_pin
>   |     |-- [Package Model]
>   |     |-- [Pin Mapping]   pulldown_ref, pullup_ref, gnd_clamp_ref, 
>   |     |                   power_clamp_ref
>   |     |-- [Diff Pin]   inv_pin, vdiff, tdelay_typ, tdelay_min, tdelay_max
>   |     |-- [Model Selector]
>   |
>   |-- [Component]
>   |
>   | 
>   |-- [Model]   Model_type, Polarity, Enable, Vinl, Vinh, C_comp, Vmeas, Cref,

>   |   -------   Rref, Vref
>   |     |
>   |     |-- [Model Spec]   Vinh, Vinl, Vinh+, Vinh-, Vinl+, Vinl-, 
>   |     |                  S_overshoot_high, S_overshoot_low, D_overshoot_high
> ,
>   |     |                  D_overshoot_low, D_overshoot_time, Pulse_high,
>   |     |                  Pulse_low, Pulse_time
>   |     |-- [Driver Schedule]
>   |     |-- [Temperature Range]
>   |     |-- [Voltage Range]
>   |     |-- [Pullup Reference]
>   |     |-- [Pulldown Reference]
>   |     |-- [POWER Clamp Reference]
>   |     |-- [GND Clamp Reference]
>   |     |-- [TTgnd]
>   |     |-- [TTpower]
>   |     |-- [Pulldown]
>   |     |-- [Pullup]
>   |     |-- [GND Clamp]
>   |     |-- [POWER Clamp]
>   |     |-- [Rgnd]
>   |     |-- [Rpower]
>   |     |-- [Rac]
>   |     |-- [Cac]
>   |     |-- [Ramp]   dV/dt_r, dV/dt_f, R_load
>   |     |-- [Rising Waveform]  R_fixture, V_fixture, V_fixture_min,  
>   |     |                      V_fixture_max,C_fixture, L_fixture, R_dut, 
>   |     |                      L_dut, C_dut
>   |     |-- [Falling Waveform] R_fixture, V_fixture, V_fixture_min,  
>   |     |                      V_fixture_max,C_fixture, L_fixture, R_dut, 
>   |     |                      L_dut, C_dut
>   |
>   |-- [Model]
>   |
>   |
>   |-- [Component]
>   |
>   |
>   |-- [Define Package Model]
>   |   ----------------------
>   |     |-- [Manufacturer]
>   |     |-- [OEM]
>   |     |-- [Description]
>   |     |-- [Number of Sections]
>   |     |-- [Number of Pins]
>   |     |-- [Pin Numbers]   Len, L, C, R, Fork, Endfork
>   |     |-- [Model Data]
>   |     |   ------------
>   |     |     |-- [Resistance Matrix]   Banded_matrix, Sparse_matrix, 
>   |     |     |   -------------------   Full_matrix
>   |     |     |     |-- [Bandwidth] 
>   |     |     |     |-- [Row]
>   |     |     |     |-- [Row]
>   |     |     |     |   ｜
>   |     |     |-- [Inductance Matrix]   Banded_matrix, Sparse_matrix, 
>   |     |     |   -------------------   Full_matrix
>   |     |     |     |-- [Bandwidth] 
>   |     |     |     |-- [Row]
>   |     |     |     |-- [Row]
>   |     |     |     |   ｜
>   |     |     |-- [Capacitance Matrix]   Banded_matrix, Sparse_matrix, 
>   |     |     |   --------------------   Full_matrix
>   |     |     |     |-- [Bandwidth] 
>   |     |     |     |-- [Row]
>   |     |     |     |-- [Row]
>   |     |     |     |   ｜
>   |     |     |-- [End Model Data]
>   |     |-- [End Package Model]
>   |
>   |-- [Define Package Model]
>   |
>   |-- [End] 

> SHORTEST TYPE

> .ibs FILE
> ---------
>   |-- File date section
>   |   -----------------
>   |     |-- [IBIS Ver], [Comment char], [File name], [File Rev], [Date]
>   |     |-- [Source], [Notes], [Disclaimer], [Copyright]
>   |
>   |-- [Component]
>   |   ----------- 
>   |     |-- [Manufacturer], [Package], [Pin], [Package Model], [Pin Mapping]
>   |     |-- [Diff Pin], [Model Selector]
>   |
>   |
>   |-- [Component]
>   |
>   |-- [Model]
>   |   -------
>   |     |-- [Model Spec], [Driver Schedule], [Temperature Range],
>   |     |-- [Voltage Range], [Pullup Reference], [Pulldown Reference], 
>   |     |-- [POWER Clamp Reference], [GND Clamp Reference], [TTgnd], 
>   |     |-- [TTpower], [Pulldown], [Pullup], [GND Clamp], [POWER Clamp], 
>   |     |-- [Rgnd], [Rpower], [Rac], [Cac], [Ramp], [Rising Waveform], 
>   |     |-- [Falling Waveform]
>   |
>   |-- [Model]
>   |
>   |
>   |-- [Component]
>   |
>   |
>   |-- [Define Package Model]
>   |   ----------------------
>   |     |-- [Manufacturer], [OEM], [Description], [Number of Sections]
>   |     |-- [Number of Pins], [Pin Numbers] 
>   |     |-- [Model Data]
>   |     |   ------------
>   |     |     |-- [Resistance Matrix]
>   |     |     |   -------------------
>   |     |     |     |-- [Bandwidth], [Row], [Row],---
>   |     |     |
>   |     |     |-- [Inductance Matrix]
>   |     |     |   -------------------
>   |     |     |     |-- [Bandwidth], [Row], [Row],---
>   |     |     |
>   |     |     |-- [Capacitance Matrix] 
>   |     |     |   --------------------
>   |     |     |     |-- [Bandwidth], [Row], [Row],---
>   |     |     |
>   |     |     |-- [End Model Data]
>   |     |
>   |     |-- [End Package Model]
>   |
>   |-- [Define Package Model]
>   |
>   |-- [End] 

> Best  Regards,
> Atsushi  Ogawa
> Manager
> Memory  Engineering  Department
> Semiconductor  Solution  Engineering  Division
> NEC  Corporation  

> e-mail    [email-masked]

> P.S.,   I'd like to report new notice of the draft.

> In the [Model selector] illustration, two different buffers use 
> an equal name "ABCD0123456789ABCDE3".

> I think that the illustration as follows is easier to understand.
> (Above problem is corrected.)
> |
> [Model selector]        Progbuffer1     |"Progbuffer1"is model_selector_name
> | model_name          Description
> ABCD0123456789ABCDE0  2 mA buffer  without slew rate control
> ABCD0123456789ABCDE1  4 mA buffer  without slew rate control
> ABCD0123456789ABCDE2  6 mA buffer  without slew rate control
> ABCD0123456789ABCDE3  4 mA buffer  with slew rate control
> ABCD0123456789ABCDE4  6 mA buffer  with slew rate control
> |
> [Model selector]        Progbuffer2
> | model_name          Description
> ABCD0123456789ABCDE0  2 mA buffer  without slew rate control
> ABCD0123456789ABCDE2  6 mA buffer  without slew rate control
> ABCD0123456789ABCDE4  6 mA buffer  with slew rate control
> ABCD0123456789ABCDE5  8 mA buffer  with slew rate control
> ABCD0123456789ABCDE6 10 mA buffer  with slew rate control
> ******************************************************************************